<?php

namespace App\Filament\Clusters\Cards\CardOrders\Pages;

use App\Filament\Clusters\Cards\CardOrders\CardOrderResource;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Resources\Pages\EditRecord;

class EditCardOrder extends EditRecord
{
    protected static string $resource = CardOrderResource::class;

    protected function getHeaderActions(): array
    {
        return [
            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }
}
